# CEGUI::UnifiedDim Class Reference

Dimension type that represents an Unified dimension. Implements BaseDim interface. More...

Inheritance diagram for CEGUI::UnifiedDim:

[legend]
Collaboration diagram for CEGUI::UnifiedDim:

[legend]
List of all members.

## Public Member Functions

| UnifiedDim (const UDim &value, DimensionType dim)
| Constructor.

## Protected Member Functions

float | getValue_impl (const Window &wnd) const
| Implementataion method to return the base value for this BaseDim. This method should not attempt to apply the mathematical operator; this is handled automatically.
float | getValue_impl (const Window &wnd, const Rect &container) const
| Implementataion method to return the base value for this BaseDim. This method should not attempt to apply the mathematical operator; this is handled automatically by BaseDim.
void | writeXMLElementName_impl (OutStream &out_stream) const
| Implementataion method to output real xml element name to an OutStream. This method should not write the element opening '<' character, nor close the element, it must write just the element name itself.
void | writeXMLElementAttributes_impl (OutStream &out_stream) const
| Implementataion method to output xml element attributes to an OutStream. This method should not write the element opening '<' character, nor close the element, it must write just the element attributes.
BaseDim * | clone_impl () const
| Implementataion method to return a clone of this sub-class of BaseDim. This method should not attempt to clone the mathematical operator or operand; theis is handled automatically by BaseDim.

## Detailed Description

Dimension type that represents an Unified dimension. Implements BaseDim interface.

## Constructor & Destructor Documentation

CEGUI::UnifiedDim::UnifiedDim | ( | const UDim & | value,
|  | DimensionType | dim
| ) |

Constructor.

Parameters:

  | value | UDim holding the value to assign to this UnifiedDim.
  | dim | DimensionType value indicating what this UnifiedDim is to represent. This is required because we need to know what part of the base Window that the UDim scale component is to operate against.